Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Librerie qt
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano
View previous topic :: View next topic  
Author Message
saverik
Apprentice
Apprentice


Joined: 18 Oct 2008
Posts: 276

PostPosted: Thu Jun 13, 2019 10:18 am    Post subject: Librerie qt Reply with quote

buongiorno,

sto aggiornando il sistema e sto avendo un sacco di problemi con vari pacchetti qt.
premetto che nel make.conf ho deprecato le librerie qt ma purtroppo per alcuni software sono necessarie.
la mia domanda e':
basta solo usare il package.use ?
come posso fare ad avere il sistema senza le qt o al max ad isolarle?
spero di essermi spiegato in modo chiaro :oops: .
saluti
_________________
Elitebook G840_G3 cpu i5-6300u ,16GbRam,ToshibaNvme512Gb
Linux= Gentoo64bit+xfce4+LightDm+Openrc
Back to top
View user's profile Send private message
saverik
Apprentice
Apprentice


Joined: 18 Oct 2008
Posts: 276

PostPosted: Thu Jun 13, 2019 10:22 am    Post subject: Reply with quote

il mio make.conf
Code:
######################################
###########################
##########################
CHOST="x86_64-pc-linux-gnu"
CFLAGS="-march=ivybridge -O2 -pipe"
CXXFLAGS="${CFLAGS}"
#########
LC_MESSAGES="C"
######
ACCEPT_LICENSE="*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
DISTDIR="/usr/portage/distfiles"
PKGDIR="/usr/portage/packages"
PORT_LOGDIR="/var/log/portage"
VIDEO_CARDS="amdgpu radeonsi"
LINGUAS="it"
L10N="it"
INPUT_DEVICES="evdev mouse"
MAKEOPTS="-j7"
#########
#########
AUTOCLEAN="yes"
##FEATURES="ccache distcc installsources splitdebug test userpriv usersandbox"
PYTHON_TARGETS="python2_7 python3_6"
PYTHON_SINGLE_TARGET="python3_6"
##XFCE_PLUGINS="brightness clock trash"
export XDG_CACHE_HOME="/tmp/${USER}/.cache"
#############
USE="X -kde -qt -gnome acpi alsa bluetooth lm_sensors mtp multilib dhclient networkmanager pulseaudio savedconfig thunar usb"
GRUB_PLATFORMS="efi-64"
SANE_BACKENDS="hp"
#############
#GRUB_PLATFORMS="emu efi-32 efi-64 pc"

_________________
Elitebook G840_G3 cpu i5-6300u ,16GbRam,ToshibaNvme512Gb
Linux= Gentoo64bit+xfce4+LightDm+Openrc
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21796
Location: here

PostPosted: Thu Jun 13, 2019 11:13 am    Post subject: Reply with quote

Mi pare che l'unica cosa che puoi fare e' disabilitare la use flag qt5 (e non qt come hai messo tu).
Questo solitamente disabilita le interfacci qt ad alcuni programmi ma non puo' fare nulla se un programma utilizza solo qt come framework (vedi ad esempio calibre, qgis,...), in questo caso devi trovare delle alternative scritte in gtk o wxwidgets.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fturco
l33t
l33t


Joined: 08 Dec 2010
Posts: 629
Location: Italy

PostPosted: Thu Jun 13, 2019 2:52 pm    Post subject: Reply with quote

Detto in altri termini disattivare la USE flag qt5 in make.conf ha semplicemente l'effetto di disattivare l'intefaccia Qt in quei pacchetti in cui essa è opzionale.
Non ha alcun effetto invece per quanto riguarda quei pacchetti in cui l'interfaccia Qt è obbligatoria.
Back to top
View user's profile Send private message
saverik
Apprentice
Apprentice


Joined: 18 Oct 2008
Posts: 276

PostPosted: Fri Jun 14, 2019 4:27 pm    Post subject: Reply with quote

ok capito.
Per evitare problemi quindi mi consigliereste di crearmi per ogni software che installo il prorio package.use?
Esempio per vlc:
per evitare che installi pacchetti che poi durante l'aggiornamento potrebbero collidere con altri , userei una use local (/etc/portage/package.use/vlc).
Ma mi chiedo pero' :
1-come faccio a sapere esattamente quali sono i pacchetti di cui ha bisogno?
2-La mia root non rischia di diventare gigantesca? :roll:
_________________
Elitebook G840_G3 cpu i5-6300u ,16GbRam,ToshibaNvme512Gb
Linux= Gentoo64bit+xfce4+LightDm+Openrc
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21796
Location: here

PostPosted: Fri Jun 14, 2019 5:10 pm    Post subject: Reply with quote

Scusa saverik ma non capisco.
Cosa intendi che per installare vlc hai bisogno di package.use?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
saverik
Apprentice
Apprentice


Joined: 18 Oct 2008
Posts: 276

PostPosted: Fri Jun 14, 2019 5:46 pm    Post subject: Reply with quote

mi spiego meglio.
se compilo vlc con le -qt5 nel make.conf poi non mi parte il programma, mentre dichiarandola localmente in /etc/portage/package.use/vlc
Code:
 media-video/vlc qt5 gnutls live lua matroska rtsp theora upnp vcd
il programma mi ha ripreso a funzionare.
_________________
Elitebook G840_G3 cpu i5-6300u ,16GbRam,ToshibaNvme512Gb
Linux= Gentoo64bit+xfce4+LightDm+Openrc
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21796
Location: here

PostPosted: Fri Jun 14, 2019 5:54 pm    Post subject: Reply with quote

Si vlc e' uno di quei programmi che la GUI e' scritta solo in qt, quindi o usi quella o lo usi command line (vlc funziona anche senza interfaccia grafica).
Abilitando la use flag qt5 a vlc pero' hai installato anche le librerie qt
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fturco
l33t
l33t


Joined: 08 Dec 2010
Posts: 629
Location: Italy

PostPosted: Sat Jun 15, 2019 10:13 am    Post subject: Reply with quote

Se non desideri installare le librerie Qt dovresti proprio evitare di installare programmi quali VLC o Calibre.
Ad ogni modo mi chiedo a cosa sia dovuta questa "antipatia" nei confronti delle librerie Qt...
Sul mio sistema ad esempio è il contrario: installo solo software con interfaccia grafica Qt (no GTK, wxWidgets o altro).
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21796
Location: here

PostPosted: Sat Jun 15, 2019 11:01 am    Post subject: Reply with quote

fturco wrote:
Sul mio sistema ad esempio è il contrario: installo solo software con interfaccia grafica Qt (no GTK, wxWidgets o altro).

Stessa cosa sul mio, purtroppo una vera alternativa a gimp, inkscape e darktable non ne ho trovate (anche per la quantita' di tutorial che si possono trovare in rete)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum